# $Revision: 1.56 $, $Date: 2008/11/23 12:31:08 $
Summary:	HERMES pixel format conversion library
Summary(pl.UTF-8):	HERMES - biblioteka konwersji grafiki rastrowej
Name:		Hermes
Version:	1.3.3
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://www.clanlib.org/~sphair/download/hermes/1.3/%{name}-%{version}.tar.bz2
# Source0-md5:	7dd49507a822b252ea8e3be8d0278d33
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-automake.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-configure.patch
URL:		http://www.clanlib.org/hermes/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HERMES is a library designed to convert a source buffer with a
specified pixel format to a destination buffer with possibly a
different format at the maximum possible speed. On x86 and MMX
architectures, handwritten assembler routines are taking over the job
and doing it lightning fast. On top of that, HERMES provides fast
surface clearing, stretching and some dithering.

%description -l pl.UTF-8
HERMES jest biblioteką do konwersji między różnymi formatami buforów
pikseli z maksymalną możliwą szybkością. Na procesorach x86 z
architekturą MMX wstawki asemblerowe umożliwiają bibliotece dużą
szybkość działania. HERMES umożliwia wypełnianie powierzchni,
skalowanie i częściowo dithering.

%package devel
Summary:	HERMES header files and documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki HERMES
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and documentation for developing applications using
HERMES library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja potrzebne przy tworzeniu aplikacji
używających biblioteki HERMES.

%package static
Summary:	HERMES static library
Summary(pl.UTF-8):	Biblioteka statyczna HERMES
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
HERMES static library.

%description static -l pl.UTF-8
Biblioteka statyczna HERMES.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README TODO*
%attr(755,root,root) %{_libdir}/libHermes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libHermes.so.1

%files devel
%defattr(644,root,root,755)
%doc docs/api
%attr(755,root,root) %{_libdir}/libHermes.so
%{_libdir}/libHermes.la
%{_includedir}/Hermes

%files static
%defattr(644,root,root,755)
%{_libdir}/libHermes.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Hermes.spec,v $
Revision 1.56  2008/11/23 12:31:08  megabajt
- added -configure.patch to fix build
- more verbose files
- release 4

Revision 1.55  2008/07/27 22:19:34  arekm
- release 3

Revision 1.54  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.53  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.52  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.51  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.50  2006/01/20 19:41:18  piti
- gcc4 fix, thanks to Robert Tomasik

Revision 1.49  2004/03/23 18:48:40  wrobell
- rel. 2

Revision 1.48  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.47  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.46  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/04/26 17:26:21  qboosh
- 1.3.3, updated automake patch

Revision 1.44  2003/04/11 07:21:58  trojan
- removed libtool patch

Revision 1.43  2003/03/14 09:46:22  trojan
- added patch to fix compile with new libtool

Revision 1.42  2002/12/07 15:11:39  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.41  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/11/11 15:08:00  kloczek
- release 5.

Revision 1.39  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.36  2002/05/21 23:12:36  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/04/20 10:26:19  trojan
- revert %ghost from %files

Revision 1.34  2002/04/18 11:43:14  trojan
- added %ghost lib*.so.x (they're created by ldconfig)
- release 4; STBR

Revision 1.33  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.32  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/18 02:12:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/10/20 00:43:01  kloczek
- added "rm -f missing" on top %build.

Revision 1.29  2001/10/19 22:27:48  qboosh
- updated automake patch for am 1.5
- adapterized, typo
- release 3

Revision 1.28  2001/03/17 07:17:41  kloczek
- release 2,
- spec adapterized,
- fix: s/automake -a/automake -a -c/ in %install for allow build in
  automake > 1.4 environment.

Revision 1.27  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.26  2000/08/10 10:29:20  kloczek
- updated to 1.3.2.

Revision 1.25  2000/06/09 07:54:38  kloczek
- more %{__make} macros.

Revision 1.24  2000/06/09 07:22:45  kloczek
- added using %{__make} macro.

Revision 1.23  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.22  2000/05/09 07:10:57  alchemyx
- fixed english Description -devel

Revision 1.21  2000/04/14 15:12:38  kloczek
- spec adapterized.

Revision 1.20  2000/04/14 13:32:03  jajcus
- Updated to 1.3.1
- More docs

Revision 1.19  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.17  2000/02/19 07:28:04  kloczek
- updated to 1.3.0,
- spec adapterized,
- removed SONAME symlinks from main package,
- added to BuildRequires automake, autoconf and libtool.

Revision 1.16  1999/12/09 12:16:00  wiget
- added automake patch

Revision 1.15  1999/11/25 14:26:13  mikrobi
- upgraded to 1.2.6

Revision 1.14  1999/08/13 06:33:55  jasio
- Poprawa literówek.
